#
# spec file for package xpenguins
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xpenguins
Version:        3.2.3
Release:        1.1
Summary:        Cute little penguins that walk along the tops of your windows
License:        GPL-2.0-or-later
Group:          Amusements/Toys/Background
URL:            http://xpenguins.seul.org/
Source:         https://sourceforge.net/projects/xpenguins/files/xpenguins-%{version}.tar.gz
Source1:        README.openSUSE
Source2:        %{name}-stop.desktop
Source3:        %{name}-stop.png
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xt)

%description
This program animates a friendly family of penguins on your root
window. They drop in from the top of the screen, walk along the tops of
your windows, up the sides of your windows, up the side of the screen,
and sometimes even levitate with their genetically-modified
go-go-gadget 'copter ability.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
cp %{SOURCE3} %{buildroot}%{_datadir}/pixmaps
%suse_update_desktop_file    %{name} Amusement
%suse_update_desktop_file -i %{name}-stop Amusement
%fdupes %{buildroot}

%files
%license COPYING
%doc README* AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/xpenguins
%{_mandir}/man1/xpenguins.1%{?ext_man}
%{_datadir}/xpenguins
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/pixmaps/%{name}-stop.png
%{_datadir}/applications/*.desktop

%changelog
* Tue Sep 10 2024 pgajdos@suse.com
- version update to 3.2.3
  * configure.ac: AM_CONFIG_HEADER -> AC_CONFIG_HEADERS
    and some othe minor issues
    enable cross compiling
  * src/Makefile.am: make --selfrep working
  * addcopyright.sh: adapt sed usage to freebsd's sed
  * implement --changelog
  * implement --selfrep
* Mon Dec  6 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 3.2.1
  * add ui
  * before erasing: if drawing in a transparent window,
    first set background
  * Changed velocity and acceleration related entities from int to float
  * Bring some randomness in start velocities and terminal velocities
  * Add flag --lift
  * Many changes to make it run on KDE etc in a click-through
    transparent window
  * max number of items to 512
- Drop xpenguins.{png,desktop} and use upstream provided ones
- Drop upstream fixed xpenguins-2.2-typo.diff
- Drop unneeded xpenguins-2.2-automake-1.13.diff
* Mon Feb  8 2021 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
- Use fdupes
- Refresh patches
* Wed Nov  5 2014 dimstar@opensuse.org
- Add pkgconfig(xt) buildRequires: required for X11/Intrinsic.h.
- Rename README.SuSE to README.openSUSE.
* Sun Nov  2 2014 crrodriguez@opensuse.org
- Switch to individual pkgconfig() build requires
  instead of using metapackage xorg-x11-devel
* Tue Mar  5 2013 pgajdos@suse.com
- builds with automake 1.13
  * automake-1.13.patch
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Jan 25 2007 meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Mar 30 2004 sbrabec@suse.cz
- Fixed desktop files and added icons (#37252).
* Tue Mar 23 2004 sbrabec@suse.cz
- Added desktop files (#33276).
- Note about kroot in README.SuSE (#33276).
* Thu Feb 19 2004 sbrabec@suse.cz
- Build with -fno-strict-aliasing.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Tue Mar 12 2002 postadal@suse.cz
- fixed typo
* Mon Nov 26 2001 cihlar@suse.cz
- update to version 2.2:
  * The squish option: kill toons with your mouse
  * The themes Bill (images from XBill) and Big Penguins
  * The ability to run several themes simultaneously
  * Redraws erased desktop icons
- added README.SuSE
* Fri Sep  7 2001 ro@suse.de
- added "-a" to automake
* Fri Jun 15 2001 cihlar@suse.cz
- update to version 2.1
* Fri Jan 26 2001 cihlar@suse.cz
- package created
